<template>
    <div class="inspectionStatistics">
        <div class="inspectionStatistics_part">
            <div class="inspectionStatistics_part_person">
                <div class="inspectionStatistics_part_title">{{"巡检人员统计"}}</div>
                <div class="inspectionStatistics_part_time">       
                    <el-date-picker
                    v-model="value1"
                    type="daterange"
                    range-separator="至"
                    start-placeholder="开始日期"
                    @change="changeInspectionPerson"
                    end-placeholder="结束日期">
                    </el-date-picker></div>
                    <el-divider></el-divider>
                <div class="inspectionStatistics_part_body">
                    <inspection-person></inspection-person>
                </div>
            </div>
        </div>
        <div class="inspectionStatistics_part">
            <div class="inspectionStatistics_part_complete">
                <div class="inspectionStatistics_part_title">{{"巡检完成统计"}}</div>
                <div class="inspectionStatistics_part_time">       
                    <el-date-picker
                    v-model="value2"
                    type="daterange"
                    range-separator="至"
                    start-placeholder="开始日期"
                    end-placeholder="结束日期">
                    </el-date-picker>
                </div>
                <el-divider></el-divider>
                <div class="inspectionStatistics_part_body">
                    <inspection-complete></inspection-complete>
                </div>
            </div>
        </div>
        <div class="inspectionStatistics_part">
            <div class="inspectionStatistics_part_today">
                <div class="inspectionStatistics_part_title">{{"今日异常完成"}}</div>
                <el-divider></el-divider>
                <div class="inspectionStatistics_part_body">
                    <today-unusual></today-unusual>
                </div>
            </div>
        </div>
        <div class="inspectionStatistics_part">
            <div class="inspectionStatistics_part_unusual">
                <div class="inspectionStatistics_part_title">{{"巡检异常统计"}}</div>
                <div class="inspectionStatistics_part_time">       
                    <el-date-picker
                    v-model="value3"
                    type="daterange"
                    range-separator="至"
                    start-placeholder="开始日期"
                    end-placeholder="结束日期">
                    </el-date-picker>
                </div>
                <el-divider></el-divider>
                <div class="inspectionStatistics_part_body">
                    <inspection-unusual></inspection-unusual>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import inspectionPerson from './components/inspectionPerson/index'
    import inspectionComplete from './components/inspectionComplete/index'
    import inspectionUnusual from './components/inspectionUnusual/index'
    import todayUnusual from './components/todayUnusual/index'
import { getInspectionCount } from '../../../../api/inspectionTask'
    export default {
        name: "index",
        data() {
            return {
                value1:['',''],
                value2:['',''],
                value3:['',''],
                listQuery:{
                "dateList": [
                ],
                "endDate": "",
                "execUid": null,
                "startDate": ""
                }
            }
        },
        components : {
            inspectionPerson,
            inspectionComplete,
            inspectionUnusual,
            todayUnusual
        },
        created() {
            this.setTimeValue()
            this.getInspectionCount()
        },
        methods: {
            setTimeValue() {
                let newTime =  new Date()
                this.value1 = [(newTime.getFullYear()+ '-' + (newTime.getMonth() + 1) + '-' +  1).toString() + ' '  + '00:00:00',(newTime.getFullYear()+ '-' + (newTime.getMonth() + 1) + '-' + newTime.getDate()).toString() + ' ' + '23:59:59']
                this.value2 = [(newTime.getFullYear()+ '-' + (newTime.getMonth() + 1) + '-' +  1).toString() + ' '  + '00:00:00',(newTime.getFullYear()+ '-' + (newTime.getMonth() + 1) + '-' + newTime.getDate()).toString() + ' ' + '23:59:59']
                this.value3 = [(newTime.getFullYear()+ '-' + (newTime.getMonth() + 1) + '-' +  1).toString() + ' '  + '00:00:00',(newTime.getFullYear()+ '-' + (newTime.getMonth() + 1) + '-' + newTime.getDate()).toString() + ' ' + '23:59:59']
            },
            async getInspectionCount() {
                this.listQuery.startDate = this.value1[0]
                this.listQuery.endDate = this.value1[1]
                let res = await getInspectionCount(this.listQuery)
                // this.$refs.inspectionPerson.setCount(res.data.result)
            },
            async changeInspectionPerson() {
                let res = await getInspectionCount(this.listQuery)
            },
        }
    }
</script>

<style scoped>
    /deep/.el-divider--horizontal {
        margin-top: 1px !important;
    }
    .inspectionStatistics{
        width:100%;
        height:100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
    }
    .inspectionStatistics_part{
        width:800px;
        height:500px;
        background-color: #FFFFFF;
        margin-bottom: 6.5px;
    }
    inspectionStatistics_part_person{
        width:100%;
        height: 200px;
    }
    .inspectionStatistics_part_title{
        height:60px;
        line-height: 60px;
        padding-left:20px;
        display: inline-block;
        width:50%;
    }
    .inspectionStatistics_part_body{
        width:100%;
        height:410px;
    }
    .inspectionStatistics_part_time{
        display: inline-block;
        
    }
</style>
